<mat-sidenav-container (backdropClick)="toggleCollapse()" class="space-for-footer">
  <mat-sidenav [mode]="mode" opened="true" [style.width]="width" disableClose>
    <button mat-mini-fab color="accent" class="mpa-sidenav-toggle-button" (click)="toggleCollapse()">
      <mat-icon [@indicatorRotate]="collapsed ? 'collapsed': 'expanded'">chevron_right</mat-icon>
    </button>
    <side-nav-tree [flatTreeNodesList]="this.mpaUserDataNavigationService.getAllNodesForSideNav()" (expansionToggleEvent)="toggleCollapse()"></side-nav-tree>
  </mat-sidenav>
  <mat-sidenav-content>
    <div class="custom-sidenav-content">
      <ng-container #mpaSideNavNavigatedOutlet></ng-container>
    </div>
  </mat-sidenav-content>
</mat-sidenav-container>


